com.google.gwt.user.cellview.client

## Class ColumnSortList.ColumnSortInfo

- java.lang.Object
- - com.google.gwt.user.cellview.client.ColumnSortList.ColumnSortInfo

Enclosing class:
  ColumnSortList

    public static class ColumnSortList.ColumnSortInfo
    extends java.lang.Object

Information about the sort order of a specific column in a table.

### Constructor Summary

Constructors
Constructor and Description
`ColumnSortInfo()` Default constructor used for RPC.
`ColumnSortInfo(Column<?,?> column, boolean ascending)` Construct a new `ColumnSortList.ColumnSortInfo`.

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `equals(java.lang.Object obj)` Check if this object is equal to another.
`Column<?,?>` `getColumn()` Get the `Column` that was sorted.
`int` `hashCode()`
`boolean` `isAscending()` Check if the column was sorted in ascending or descending order.

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ColumnSortInfo

    public ColumnSortInfo(Column<?,?> column,
                          boolean ascending)

Construct a new `ColumnSortList.ColumnSortInfo`.

Parameters:
  `column` - the column index
  `ascending` - true if sorted ascending

#### ColumnSortInfo

    ColumnSortInfo()

Default constructor used for RPC.

### Method Detail

#### equals

    public boolean equals(java.lang.Object obj)

Check if this object is equal to another. The objects are equal if the column and ascending values are the equal.

Overrides:
  `equals` in class `java.lang.Object`
Parameters:
  `obj` - the object to check for equality
Returns:
  true if objects are the same

#### getColumn

    public Column<?,?> getColumn()

Get the `Column` that was sorted.

Returns:
  the `Column`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `java.lang.Object`

#### isAscending

    public boolean isAscending()

Check if the column was sorted in ascending or descending order.

Returns:
  true if ascending, false if descending